cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Possible to upgrade Java version on the server and active gate.

Hello,

Is it possible to perform a manual update of java on the server and active gate?

I am asking because the versions used on the Active Gate component for the Managed version are 8u181. Unfortunately, this version is vulnerable to attacks: CVE-2018-11212, CVE-2019-2426, CVE-2019-2449, CVE-2019-2422, CVE-2018-13785, CVE-2018-3169, CVE-2018-3209, CVE-2018-3157, CVE-2018-3150.

Is it possible to upgrade to version 8u201?

Best,

Radek


2 REPLIES 2

Julius_Loman
DynaMight Guru
DynaMight Guru

I don't think this is officially supported and it will definitely be overwritten with next server or activegate upgrade. I would recommend not to try it in production environments.

Can you doublecheck if those vulnerabilities might even be exploited in your environment? I thinks the vulnerabilites are mostly in code that is not even used by Dynatrace.


TEMPEST a.s., Slovakia, Dynatrace Master Partner

I have officially info from support:

You can't do that on your own. We need to deliver java with our code. Good news is that we are going upgrade java to 8u202 in v168.